# $Revision: 1.3 $, $Date: 2011/03/13 08:11:41 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	HTML
%define		pnam	Form
%include	/usr/lib/rpm/macros.perl
Summary:	HTML::Form - Class that represents an HTML form element
Summary(pl.UTF-8):	HTML::Form - klasa reprezentująca formularz HTML
Name:		perl-HTML-Form
Version:	6.00
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3ed73402b8f825c5c5060f05105610f4
URL:		http://search.cpan.org/dist/HTML-Form/
BuildRequires:	perl-devel >= 1:5.8.8
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Encode >= 2
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-HTTP-Message >= 6
BuildRequires:	perl-URI >= 1.10
%endif
Requires:	perl-Encode >= 2
Requires:	perl-HTML-Parser
Requires:	perl-URI >= 1.10
Conflicts:	perl-libwww < 6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Objects of the HTML::Form class represents a single HTML
<form>...</form> instance. A form consists of a sequence of inputs
that usually have names, and which can take on various values. The
state of a form can be tweaked and it can then be asked to provide
HTTP::Request objects that can be passed to the request() method of
LWP::UserAgent.

%description -l pl.UTF-8
Obiekt klasy HTML::Form reprezentuje pojedynczą instancję formularza
HTML (<form>...</form>). Formularz składa się z ciągu pól
wprowadzania, zwykle mających swoje nazwy i mogących przyjmować
różne wartości. Stan formularza może być zmieniany i po przekazaniu
obiektów HTTP::Request może być przekazany do metody request()
klasy LWP::UserAgent.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/HTML/Form.pm
%{_mandir}/man3/HTML::Form.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-Form.spec,v $
Revision 1.3  2011/03/13 08:11:41  qboosh
- versioned Requires + perl-HTML-Parser not detected by perlreq

Revision 1.2  2011/03/13 08:06:03  qboosh
- don't package README (just a copy of man page)

Revision 1.1  2011/03/12 11:42:47  qboosh
- new
